Bug 88217 - Keys on the keyboard all act like ctrl-alt-+
Keys on the keyboard all act like ctrl-alt-+
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-07 15:17 EDT by Glen
Modified: 2007-04-18 12:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-31 20:44:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X config file (3.11 KB, text/plain)
2003-04-07 22:35 EDT, Glen
no flags Details
X log file (35.23 KB, text/plain)
2003-04-07 22:35 EDT, Glen
no flags Details
/var/log/messages (117.30 KB, text/plain)
2003-04-07 22:36 EDT, Glen
no flags Details
/var/log/messages.1 (53.81 KB, text/plain)
2003-04-07 22:36 EDT, Glen
no flags Details
output of rpm -Va (52.42 KB, text/plain)
2003-04-07 22:37 EDT, Glen
no flags Details

  None (edit)
Description Glen 2003-04-07 15:17:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux sparc64; en-US; rv:1.2.1) Gecko/20030323

Description of problem:
My machine crashed over the weekend due to a power outage and now under X, every
key on the keyboard acts like I'm pressing Control-Alt-+ and switches the
resolution.  Rebooting the machine doesn't fix it.  I booted into run level 3
and the keyboard seems fine at the console.  If I run startx I get the same
strange behavior again.

Version-Release number of selected component (if applicable):
4.3.0-2

How reproducible:
Didn't try


Additional info:
Comment 1 Glen 2003-04-07 16:03:30 EDT
Here's what it's telling me when I run startx:

XFree86 Version 4.3.0 (Red Hat Linux release: 4.3.0-2)
Release Date: 27 February 2003
X Protocol Version 11, Revision 0, Release 6.6
Build Operating System: Linux 2.4.20-3bigmem i686 [ELF] 
Build Date: 27 February 2003
Build Host: porky.devel.redhat.com
 
        Before reporting problems, check http://www.XFree86.Org/
        to make sure that you have the latest version.
Module Loader present
OS Kernel: Linux version 2.4.20-8smp (bhcompile@porky.devel.redhat.com) (gcc
version 3.2.2 20030222 (Red Hat Linux 3.2.2-5)) #1 SMP Thu Mar 13 17:45:54 EST 2003 
Markers: (--) probed, (**) from config file, (==) default setting,
         (++) from command line, (!!) notice, (II) informational,
         (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/XFree86.0.log", Time: Mon Apr  7 12:51:26 2003
(==) Using config file: "/etc/X11/XF86Config"

expected keysym, got XF86_Switch_VT_1: line 8 of xfree86
expected keysym, got XF86_Switch_VT_2: line 11 of xfree86
expected keysym, got XF86_Switch_VT_3: line 14 of xfree86
expected keysym, got XF86_Switch_VT_4: line 17 of xfree86
expected keysym, got XF86_Switch_VT_5: line 20 of xfree86
expected keysym, got XF86_Switch_VT_6: line 23 of xfree86
expected keysym, got XF86_Switch_VT_7: line 26 of xfree86
expected keysym, got XF86_Switch_VT_8: line 29 of xfree86
expected keysym, got XF86_Switch_VT_9: line 32 of xfree86
expected keysym, got XF86_Switch_VT_10: line 35 of xfree86
expected keysym, got XF86_Switch_VT_11: line 38 of xfree86
expected keysym, got XF86_Switch_VT_12: line 41 of xfree86
expected keysym, got XF86_Ungrab: line 45 of xfree86
expected keysym, got XF86_ClearGrab: line 48 of xfree86
expected keysym, got XF86_Next_VMode: line 51 of xfree86
expected keysym, got XF86_Prev_VMode: line 54 of xfree86
The XKEYBOARD keymap compiler (xkbcomp) reports:
> Warning:          Multiple interpretations of "NoSymbol+AnyOfOrNone(all)"
>                   Using last definition for duplicate fields
> Warning:          Multiple interpretations of "NoSymbol+AnyOfOrNone(all)"
>                   Using last definition for duplicate fields
> Warning:          Multiple interpretations of "NoSymbol+AnyOfOrNone(all)"
>                   Using last definition for duplicate fields
> Warning:          Multiple interpretations of "NoSymbol+AnyOfOrNone(all)"
>                   Using last definition for duplicate fields
> Warning:          Multiple interpretations of "NoSymbol+AnyOfOrNone(all)"
>                   Using last definition for duplicate fields
> Warning:          Multiple interpretations of "NoSymbol+AnyOfOrNone(all)"
>                   Using last definition for duplicate fields
expected keysym, got XF86_Switch_VT_1: line 51 of pc/pc
expected keysym, got XF86_Switch_VT_2: line 55 of pc/pc
expected keysym, got XF86_Switch_VT_3: line 59 of pc/pc
expected keysym, got XF86_Switch_VT_4: line 63 of pc/pc
expected keysym, got XF86_Switch_VT_5: line 67 of pc/pc
expected keysym, got XF86_Switch_VT_6: line 71 of pc/pc
expected keysym, got XF86_Switch_VT_7: line 75 of pc/pc
expected keysym, got XF86_Switch_VT_8: line 79 of pc/pc
expected keysym, got XF86_Switch_VT_9: line 83 of pc/pc
expected keysym, got XF86_Switch_VT_10: line 87 of pc/pc
expected keysym, got XF86_Switch_VT_11: line 91 of pc/pc
expected keysym, got XF86_Switch_VT_12: line 95 of pc/pc
expected keysym, got XF86_Ungrab: line 127 of pc/pc
expected keysym, got XF86_ClearGrab: line 133 of pc/pc
expected keysym, got XF86_Prev_VMode: line 139 of pc/pc
expected keysym, got XF86_Next_VMode: line 149 of pc/pc
Errors from xkbcomp are not fatal to the X server
SESSION_MANAGER=local/rmc5.cert.ucr.edu:/tmp/.ICE-unix/2325
AUDIT: Mon Apr  7 12:51:29 2003: 2321 X: client 4 rejected from local host
Gnome-Message: gnome_execute_async_with_env_fds: returning -1

waiting for X server to shut down 
Comment 2 Mike A. Harris 2003-04-07 20:49:12 EDT
Sounds to me like your power outage has caused disk corruption or has
at least destroyed files used by XFree86.  I don't think this is an
XFree86 bug.

Please run "rpm -Va > rpm.log" and attach the rpm.log file uncompressed
that is generated using bugzilla's file attachment feature.

Also, please attach your X server log file and config file, and your
/var/log/messages file including log entries from during the power failure
forward.

I'll have a look at this information to try and make a better assessment.
Comment 3 Glen 2003-04-07 22:35:10 EDT
Created attachment 90984 [details]
X config file
Comment 4 Glen 2003-04-07 22:35:42 EDT
Created attachment 90985 [details]
X log file
Comment 5 Glen 2003-04-07 22:36:19 EDT
Created attachment 90986 [details]
/var/log/messages
Comment 6 Glen 2003-04-07 22:36:48 EDT
Created attachment 90987 [details]
/var/log/messages.1
Comment 7 Glen 2003-04-07 22:37:22 EDT
Created attachment 90988 [details]
output of rpm -Va
Comment 8 Mike A. Harris 2003-04-08 02:13:11 EDT
I just looked at your file attachments and nothing jumps out at me as
being an obvious problem.  The only thing I notice is that you are using
prelink, but I don't know if that would be a contributing factor or not.

I've CC'd Jakub in case he might have a comment to contribute about
prelinking.

My belief at this point is that you've had filesystem corruption and files
that XFree86 requires in order to operate correctly have been corrupted
during your power outage.  

These lines...

expected keysym, got XF86_Switch_VT_1: line 8 of xfree86
expected keysym, got XF86_Switch_VT_2: line 11 of xfree86

... suggest to me that the XFree86 xkb related files are corrupted or
modified.  Other than doing a reinstallation of the OS, I'm not sure
what to suggest.
Comment 9 Mike A. Harris 2003-04-08 02:18:59 EDT
In particular look at these files and ensure they are not corrupt:

/usr/X11R6/lib/X11/xkb/compat/xfree86
/usr/X11R6/lib/X11/xkb/keycodes/xfree86
/usr/X11R6/lib/X11/xkb/keymap/xfree86
/usr/X11R6/lib/X11/xkb/rules/xfree86
Comment 10 Glen 2003-04-08 13:09:13 EDT
Ok, well, I guess it's time to reinstall.  I'll definitely let you know if it
happens again.  Anyway, thanks for trying to help.
Comment 11 Mike A. Harris 2003-04-19 08:44:49 EDT
Ok, I'm going to close this for now as WORKSFORME, but if you have it occur
again and think that it is a real X bug, feel free to file a bug report
at http://bugs.xfree86.org and I will track the problem upstream.

Thanks.
Comment 12 Glen 2003-04-25 13:54:23 EDT
So this happened again to me.  This time my machine did not crash though.  I
merely reboot it, and now at the login screen all the keys act like ctrl-alt-+
again.

I also noticed this happening when I ran "X :1 -query somehost" at the command
line.  X was running as normal and acting fine on display 0 at the time.  But
when X started up on display 1 it exhibited the same behavior, every key acted
as if I was typing ctrl-alt-+.  I was able to type ctrl-alt-backspace and kill X
though.  All this happened before rebooting my machine or anything like that. 
And I went back to my X session on display 0 and everything was still fine.
Comment 13 Mike A. Harris 2003-04-28 05:09:39 EDT
Closing report UPSTREAM.  Please paste the upstream bug report URL if you
would like it tracked.
Comment 14 Mike A. Harris 2004-08-31 20:43:47 EDT
Doing another scan to track all issues in "UPSTREAM" state, and
this one doesn't appear to have been filed upstream by anyone.

Closing issue as "WONTFIX" for now, however if there is an upstream
bug for this issue that anyone would like us to track, please add
the URL here and reopen it, and we'll continue to track the issue.

Thanks in advance.

Note You need to log in before you can comment on or make changes to this bug.